Subject: Re: bug#51424: snooze: malformed installation path

From: jgart <[email-masked]>
Date: Tue, 26 Oct 2021 20:03:22 -0400

On Wed, 27 Oct 2021 00:13:47 +0200 Tobias Geerinckx-Rice <[email-masked]> wrote:
> Christopher, jgart, Nicolas,
> 
> Christopher Howard 写道：
> > the path to the binary is malformed:
> 
> Indeed it was.
> 
> DESTDIR does not mean ‘final destination’; it's meant as a 
> temporary install-time ‘staging’ directory whose contents are 
> expected to move back to / later.  For example, ‘make install 
> DESTDIR=/tmp/my-package-manager-output && cd 
> /tmp/my-package-manager-output && tar cf foo.pkg .’.  Guix does 
> not use this packaging method.
> 
> Setting DESTDIR in Guix is almost always a bug.  The few places in 
> Guix where it is used are using it as a hack around buggy build 
> systems.  It just happens to work (because, well, the build 
> system's buggy).
> 
> Fixed in commit 89d8417b371f3918f0508bbc561675ec100a6add.
> 
> Thanks!
> 
> T G-R

> When reviewing patches, I find the ‘tree’ command very useful to 
> immediately spot such weirdness.  Much more so than ‘ls -R’. 
> YMMV.

I use nnn or another file manager like broot sometimes but this one escaped me.

Thanks for fixing that. I was actually going to send a patch fix for it but had 
not found the time. I noticed it after the patch was accepted.

Thanks!

all best,

jgart